package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 专业认证毕业要求
 * </p>
 *
 * @author xf
 * @since 2024-04-22
 */
@TableName("t_p_requirement")
@ApiModel(value = "TPRequirement对象", description = "专业认证毕业要求")
public class TPRequirement extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "专业ID")
    private Long professionalId;
    @ApiModelProperty(value = "毕业要求Code")
    private String code;
    @ApiModelProperty(value = "毕业要求")
    private String name;

    @ApiModelProperty(value = "节点数量")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Integer nodeCount;

    @ApiModelProperty(value = "排序值")
    private Integer sortNum;

    public Long getProfessionalId() {
        return professionalId;
    }

    public void setProfessionalId(Long professionalId) {
        this.professionalId = professionalId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getNodeCount() {
        return nodeCount;
    }

    public void setNodeCount(Integer nodeCount) {
        this.nodeCount = nodeCount;
    }

    public Integer getSortNum() {
        return sortNum;
    }

    public void setSortNum(Integer sortNum) {
        this.sortNum = sortNum;
    }

    @Override
    public String toString() {
        return "TPRequirement{" +
                ", professionalId=" + professionalId +
                ", name=" + name +
                ", nodeCount=" + nodeCount +
                ", sortNum=" + sortNum +
                "}";
    }
}
